RDKit: RDKit::RDKitFP::RDKitFPAtomEnv< OutputType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::RDKitFP::RDKitFPAtomEnv< OutputType > Class Template Reference

`#include <RDKitFPGenerator.h>`

Inheritance diagram for RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >:

## Public Member Functions
OutputType | getBitId (FingerprintArguments *arguments, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, AdditionalOutput *additionalOutput, bool hashResults=false, const std::uint64_t fpSize=0) const override
| calculates and returns the bit id to be set for this atom-environment
void | updateAdditionalOutput (AdditionalOutput *output, size_t bitId) const override
| RDKitFPAtomEnv (const OutputType bitId, boost::dynamic_bitset<> atomsInPath, INT_VECT bondPath)
| Construct a new RDKitFPAtomEnv object.
Public Member Functions inherited from RDKit::AtomEnvironment< OutputType >
virtual | ~AtomEnvironment ()

## Detailed Description

template<typename OutputType>
class RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >

Definition at line 74 of file RDKitFPGenerator.h.

## Constructor & Destructor Documentation

## ◆ RDKitFPAtomEnv()

template<typename OutputType>

RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >::RDKitFPAtomEnv | ( | const OutputType | bitId,
|  | boost::dynamic_bitset<> | atomsInPath,
|  | INT_VECT | bondPath )
| inline

Construct a new RDKitFPAtomEnv object.

Parameters

  bitId | bitId generated for this environment
  atomsInPath | holds atoms in this environment to set additional output
  bondPath | the bond path defining the environment

Definition at line 100 of file RDKitFPGenerator.h.

## Member Function Documentation

## ◆ getBitId()

template<typename OutputType>

OutputType RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >::getBitId | ( | FingerprintArguments * | arguments,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | AdditionalOutput * | AdditionalOutput,
|  | bool | hashResults = false,
|  | const std::uint64_t | fpSize = 0 ) const
| overridevirtual

calculates and returns the bit id to be set for this atom-environment

Parameters

  arguments | Fingerprinting type specific molecule independent arguments
  atomInvariants | Atom-invariants to be used during hashing
  bondInvariants | Bond-invariants to be used during hashing
  hashResults | if set results will be ready to be modded

Returns
  OutputType calculated bit id for this environment

Implements RDKit::AtomEnvironment< OutputType >.

## ◆ updateAdditionalOutput()

template<typename OutputType>

void RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >::updateAdditionalOutput | ( | AdditionalOutput * | output,
|  | size_t | bitId ) const
| overridevirtual

Implements RDKit::AtomEnvironment< OutputType >.

The documentation for this class was generated from the following file:

- RDKitFPGenerator.h